<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content>
  <ion-refresher slot="fixed" (ionRefresh)="getProducts($event)">
    <ion-refresher-content
      pullingIcon="chevron-down-circle-outline"
      pullingText="Pull to refresh"
      refreshingSpinner="bubbles"
      refreshingText="Loading..."
    >
    </ion-refresher-content>
  </ion-refresher>
  <div
    class="grid"
    [ngClass]="columnsCount === 1?'equal': columnsCount === 2 ? 'twos':'threes'"
  >
    <div *ngFor="let product of products">
      <ion-card style="justify-content: space-between">
        <ion-img
          [src]="product.image.path"
          [alt]="product.image.placeholder"
          (click)="openProductInfo(product)"
          style="cursor: pointer"
        ></ion-img>
        <ion-card-header>
          <ion-card-title
            (click)="openProductInfo(product)"
            style="font-size: 13px; font-weight: bold; cursor: pointer"
            [textContent]="product.name"
          ></ion-card-title>
          <ion-card-subtitle style="margin-bottom: 0.3rem; cursor: pointer"
            ><ion-text
              color="danger"
              [textContent]="'₱'+product.price"
              (click)="openProductInfo(product)"
            ></ion-text>
          </ion-card-subtitle>
          <ion-button
            color="success"
            size="small"
            shape="round"
            (click)="addToCart(product)"
          >
            <div *ngIf="columnsCount > 2">
              <ion-icon name="add"></ion-icon>
            </div>
            <div *ngIf="columnsCount < 3">
              <ion-text style="text-transform: none; font-weight: bold"
                >add to cart</ion-text
              >
            </div>
          </ion-button>
        </ion-card-header>
      </ion-card>
    </div>
  </div>
</ion-content>
